x <- seq(-5, 5, length.out = 500)
y <- seq(-5, 5, length.out = 500)

fff <- function(x, y) {
  sin(x^2/2 - y^2/4)*cos(2*x - exp(y))
}

z <- outer(x, y, fff)

persp(x, y, z, theta = 45, phi = 15, expand = 0.5 ,col = "lightblue")